/******************************************************************************
 **	Filename:    float2int.h
 **	Purpose:     Routines for converting float features to int features
 **	Author:      Dan Johnson
 **	History:     Wed Mar 13 08:06:41 1991, DSJ, Created.
 **
 **	(c) Copyright Hewlett-Packard Company, 1988.
 ** Licensed under the Apache License, Version 2.0 (the "License");
 ** you may not use this file except in compliance with the License.
 ** You may obtain a copy of the License at
 ** http://www.apache.org/licenses/LICENSE-2.0
 ** Unless required by applicable law or agreed to in writing, software
 ** distributed under the License is distributed on an "AS IS" BASIS,
 ** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ** See the License for the specific language governing permissions and
 ** limitations under the License.
 ******************************************************************************/
#ifndef FLOAT2INT_H
#define FLOAT2INT_H

/**----------------------------------------------------------------------------
          Include Files and Type Defines
----------------------------------------------------------------------------**/
#include "intmatcher.h"
#include "ocrfeatures.h"

#define INT_FEAT_RANGE    256
#define BASELINE_Y_SHIFT  (0.25)

/**----------------------------------------------------------------------------
          Public Function Prototypes
----------------------------------------------------------------------------**/
void ClearCharNormArray(INT_TEMPLATES Templates,
                        CLASS_NORMALIZATION_ARRAY CharNormArray);

void ComputeIntCharNormArray(FEATURE NormFeature,
                             INT_TEMPLATES Templates,
                             CLASS_NORMALIZATION_ARRAY CharNormArray);

void ComputeIntFeatures(FEATURE_SET Features, INT_FEATURE_ARRAY IntFeatures); 

/*
#if defined(__STDC__) || defined(__cplusplus)
# define        _ARGS(s) s
#else
# define        _ARGS(s) ()
#endif*/

/* float2int.c
void ClearCharNormArray
    _ARGS((INT_TEMPLATES Templates,
  CLASS_NORMALIZATION_ARRAY CharNormArray));

void ComputeIntCharNormArray
    _ARGS((FEATURE NormFeature,
  INT_TEMPLATES Templates,
  CLASS_NORMALIZATION_ARRAY CharNormArray));

void ComputeIntFeatures
    _ARGS((FEATURE_SET Features,
  INT_FEATURE_ARRAY IntFeatures));

#undef _ARGS
*/
#endif
